## LassoDiscoModify LassoDiscoModify — <disco:Modify> |

## Functions

LassoDiscoModify * | lasso_disco_modify_new ()

## Types and Values

struct | LassoDiscoModify

## Description

Figure 107. Schema fragment for disco:Modify

    <xs:element name="Modify" type="ModifyType"/>
    <xs:complexType name="ModifyType">
      <xs:sequence>
        <xs:group ref="ResourceIDGroup"/>
        <xs:element name="InsertEntry" type="InsertEntryType" minOccurs="0" maxOccurs="unbounded"/>
        <xs:element name="RemoveEntry" type="RemoveEntryType" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
    </xs:complexType>

    <xs:group name="ResourceIDGroup">
      <xs:sequence>
        <xs:choice minOccurs="0" maxOccurs="1">
          <xs:element ref="ResourceID"/>
          <xs:element ref="EncryptedResourceID"/>
        </xs:choice>
      </xs:sequence>
    </xs:group>

## Functions

### lasso_disco_modify_new ()

    LassoDiscoModify *
    lasso_disco_modify_new (void);

## Types and Values

### struct LassoDiscoModify

    struct LassoDiscoModify {
    	LassoNode parent;

    	LassoDiscoResourceID *ResourceID;
    	LassoDiscoEncryptedResourceID *EncryptedResourceID;

    	GList *InsertEntry; /* of LassoNode */
    	GList *RemoveEntry; /* of LassoNode */

    	char *id;
    };